
LABINVENT (InventIrap) - Evolution #1823
Actions # 4971 (Nouveau): ******* FEATURE - MATERIELS *******
MATERIEL - Doc admission et doc sortie (improved)
01/23/2014 12:18 pm - Etienne Pallier

Status: Nouveau Start date: 01/23/2014
Priority: Normal Due date:
Assignee: Thibaud Ajas % Done: 0%
Category: MATERIEL Estimated time: 0.00 hour
Target version: version 2.9.x à 2.12.x (2018) - Divers Spent time: 0.00 hour
Description

Doc Admission :
- rendre configurable la variable "$labUMR" 
(cf ligne 58 de src/Template/Documents/admission.ctp : //$labUMR = $configuration->labUmr;)

Doc sortie :
- l'afficher pour les 2 status ARCHIVED et TOBEARCHIVED
(corrigé aujourd'hui)
- doit etre couplé avec la liste des materiels a archiver (TOBEARCHIVED) qd il y a une demande de sortie.
- Par contre, le bouton peut etre actif sur les 2 statuts qd un seul materiel est concerne.

Admission : quand on "VALIDE" un matériel "CREATED", le statut passe en VALIDATED et le document d'admission est
automatiquement édité

Sortie : quand on "ARCHIVE" un document "TOBEARCHIVED", le statut passe en ARCHIVED et le document de sortie est
automatiquement édité

De plus :
- Bouton "Doc admission" affiché à partir du statut "VALIDATED" 
- Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED (et donc aussi pour ARCHIVED)

ACL - Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED" 
et voir aussi tous les autres commentaires...

History
#1 - 01/23/2014 01:29 pm - Etienne Pallier
- Status changed from Nouveau to En cours

#2 - 01/23/2014 03:59 pm - Etienne Pallier
- Status changed from En cours to Fermé

#3 - 01/24/2014 11:13 am - Etienne Pallier

non, en fait, il faut l'afficher pour les 2 status ARCHIVED et TOBEARCHIVED
(corrigé aujourd'hui)

En fait, Le doc de sortie doit etre couple avec la liste des materiels a archiver (TOBEARCHIVED) qd il y a une demande de sortie.

Par contre, le bouton peut etre actif sur les 2 statuts qd un seul materiel est concerne.
#4 - 02/05/2014 11:36 am - Etienne Pallier
- Subject changed from Bouton "Doc Sortie" affiché seulement à partir du statut ARCHIVED (et non pas TOBEARCHIVED) to Bouton "Doc Sortie" 
affiché à partir du statut TOBEARCHIVED
- Status changed from Fermé to En cours

#5 - 02/05/2014 11:37 am - Etienne Pallier
- Subject changed from Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED to Bouton "Doc Sortie" affiché à partir du statut 
TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED"

#6 - 02/05/2014 11:43 am - Etienne Pallier

SYNTHESE GLOBALE

Admission : quand on "VALIDE" un matériel "CREATED", le statut passe en VALIDATED et le document d'admission est automatiquement édité

Sortie : quand on "ARCHIVE" un document "TOBEARCHIVED", le statut passe en ARCHIVED et le document de sortie est automatiquement édité

De plus :
- Bouton "Doc admission" affiché à partir du statut "VALIDATED" 
- Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED (et donc aussi pour ARCHIVED)

Enfin, Le doc de sortie doit etre couplée avec la liste des materiels a archiver (TOBEARCHIVED) qd il y a une demande de sortie.

#7 - 02/20/2014 12:03 pm - Etienne Pallier
- Subject changed from Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED" to ACL - 
Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED"

#8 - 02/20/2014 02:55 pm - Etienne Pallier
- Tracker changed from Anomalie to Evolution
- Subject changed from ACL - Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED" to Doc 
admission et doc sortie (improved)
- Status changed from En cours to Nouveau
- Priority changed from Immédiat to Bas

ACL - Bouton "Doc Sortie" affiché à partir du statut TOBEARCHIVED, "Doc admission" à partir du statut "VALIDATED" 
et voir aussi tous les autres commentaires...

#9 - 05/09/2017 12:55 am - Etienne Pallier
- Subject changed from Doc admission et doc sortie (improved) to MATERIEL - Doc admission et doc sortie (improved)
- Description updated
- Assignee deleted (Etienne Pallier)
- Priority changed from Bas to Normal
- Target version deleted (version 1.3)
- Parent task set to #4971

#10 - 05/23/2017 01:28 pm - Etienne Pallier
- Target version set to version 2.7.x

#11 - 05/23/2017 01:28 pm - Etienne Pallier
- Assignee set to Thibaud Ajas
#12 - 06/12/2017 05:10 pm - Etienne Pallier
- Description updated

#13 - 07/24/2018 03:54 pm - Anonymous
- Category set to MATERIEL

#14 - 12/23/2018 05:05 pm - Etienne Pallier
- Target version changed from version 2.7.x to version 2.9.x à 2.12.x (2018) - Divers
